RedHat: RHSA-2022-8864:01 Moderate: Red Hat OpenStack Platform 16.1...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: Red Hat OpenStack Platform 16.1.9 (python-ujson) security update
Advisory ID:       RHSA-2022:8864-01
Product:           Red Hat OpenStack Platform
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:8864
Issue date:        2022-12-07
CVE Names:         CVE-2022-31116 CVE-2022-31117 
=====================================================================

1. Summary:

An update for python-ujson is now available for Red Hat OpenStack Platform
16.1.9 (Train) for Red Hat Enterprise Linux (RHEL) 8.2.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat OpenStack Platform 16.1 - ppc64le, x86_64

3. Description:

UltraJSON is an ultra fast JSON encoder and decoder

Security Fix(es):

* improper decoding of escaped surrogate characters may lead to string
corruption key confusion or value overwriting (CVE-2022-31116)

* Potential double free of buffer during string decoding (CVE-2022-31117)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2104739 - CVE-2022-31117 python-ujson: Potential double free of buffer during string decoding
2104740 - CVE-2022-31116 python-ujson: improper decoding of escaped surrogate characters may lead to string corruption, key confusion or value overwriting

6. Package List:

Red Hat OpenStack Platform 16.1:

Source:
python-ujson-2.0.3-3.el8ost.src.rpm

ppc64le:
python-ujson-debugsource-2.0.3-3.el8ost.ppc64le.rpm
python3-ujson-2.0.3-3.el8ost.ppc64le.rpm
python3-ujson-debuginfo-2.0.3-3.el8ost.ppc64le.rpm

x86_64:
python-ujson-debugsource-2.0.3-3.el8ost.x86_64.rpm
python3-ujson-2.0.3-3.el8ost.x86_64.rpm
python3-ujson-debuginfo-2.0.3-3.el8ost.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-31116
https://access.redhat.com/security/cve/CVE-2022-31117
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY5FpmNzjgjWX9erEAQhZfQ/+IhYH6eqe+ywktC+Y63UbIW62u+lB3vlZ
XUHQnxrfTfdrFs5NzaAWRpEq09NAa+BTqaveN4s9UwL7GHkBCjVcUaefV6jW1ZNf
kee52203dPdPfQhkC048p+g9tfb4rIZmGkh/bK13z/T7cD5GhEDbI1600hYGP2YB
YhmyzU3J+dGhm7RzgSCmpvXTE7A0Aw0glXq3gGHTG9za2970TeS64QFo/x7IrI54
ZjuL8O6zZS/nQbx7PpE60i/unjlMHqlAs1VjF5a4JsMrvE+cGr2DW2OL6Bs8a7yH
hVSLDIsG/hqUrmIlk0uvhzf1YX+sRRBvfI1883Pv26/NMXBAcie/yTn/VFRnnCzq
dsEzWG1BPc14x+ZTvDNd/UtJvEJQ01p8du9x6iOLXtdZI5GvvmSAqRime9TsObFc
GYVmPfhMIaA+Gqw9GUDk1eunRMPwtSxO5fnwaXZQ8Mpmdst/bYMFqe5KQvWINbqW
uTC7pvv18H0PI2kNfJMYbImSCGCOaT3SW6mC+RNtKdIVJN4xzlwNkH9Q/P37/CdU
lQDPal/FJgIDT7JDOuYJPF9Ln4DpGc+EjL9DekKpDQytQxVH7DONgAeZMmi99r4l
unWj9QI6H/Nar0UHEyv4UExvJrInVl17McZ+V6gAvzM86ePqkf6xiESzoXGwAQBa
ZQt1OY6ucVg=
=a6iB
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-8864:01 Moderate: Red Hat OpenStack Platform 16.1.9

An update for python-ujson is now available for Red Hat OpenStack Platform 16.1.9 (Train) for Red Hat Enterprise Linux (RHEL) 8.2

Summary

UltraJSON is an ultra fast JSON encoder and decoder
Security Fix(es):
* improper decoding of escaped surrogate characters may lead to string corruption key confusion or value overwriting (CVE-2022-31116)
* Potential double free of buffer during string decoding (CVE-2022-31117)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-31116 https://access.redhat.com/security/cve/CVE-2022-31117 https://access.redhat.com/security/updates/classification/#moderate

Package List

Red Hat OpenStack Platform 16.1:
Source: python-ujson-2.0.3-3.el8ost.src.rpm
ppc64le: python-ujson-debugsource-2.0.3-3.el8ost.ppc64le.rpm python3-ujson-2.0.3-3.el8ost.ppc64le.rpm python3-ujson-debuginfo-2.0.3-3.el8ost.ppc64le.rpm
x86_64: python-ujson-debugsource-2.0.3-3.el8ost.x86_64.rpm python3-ujson-2.0.3-3.el8ost.x86_64.rpm python3-ujson-debuginfo-2.0.3-3.el8ost.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:8864-01
Product: Red Hat OpenStack Platform
Advisory URL: https://access.redhat.com/errata/RHSA-2022:8864
Issued Date: : 2022-12-07
CVE Names: CVE-2022-31116 CVE-2022-31117

Topic

An update for python-ujson is now available for Red Hat OpenStack Platform16.1.9 (Train) for Red Hat Enterprise Linux (RHEL) 8.2.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat OpenStack Platform 16.1 - ppc64le, x86_64

Bugs Fixed

2104739 - CVE-2022-31117 python-ujson: Potential double free of buffer during string decoding

2104740 - CVE-2022-31116 python-ujson: improper decoding of escaped surrogate characters may lead to string corruption, key confusion or value overwriting

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.